summaryrefslogtreecommitdiff
path: root/herculeswrapper/map.sh
diff options
context:
space:
mode:
Diffstat (limited to 'herculeswrapper/map.sh')
-rwxr-xr-xherculeswrapper/map.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/herculeswrapper/map.sh b/herculeswrapper/map.sh
index 055acd7..d0cd929 100755
--- a/herculeswrapper/map.sh
+++ b/herculeswrapper/map.sh
@@ -9,7 +9,7 @@ source ${dir}/include.sh
create_pipe
while [ 1 ] ; do
- ./map-server
+ $DEBUG_MAP ./map-server
export ret=$?
case "${ret}" in
0)
@@ -18,7 +18,7 @@ while [ 1 ] ; do
;;
1)
echo "Returned 1. Probably error in server"
- break
+ [ ! -z "$DEBUG_MAP" ] || break
;;
100)
echo "Terminating server"